{% extends 'checkout/layout.html' %}
{% load purchase_info_tags %}

{% block checkout_nav %}
    {% include 'checkout/nav.html' with step=3 %}
{% endblock %}

{% block content %}
    <form id="pay" method="post" action="." data-yandex-goal="zavershil">
        {% csrf_token %}
        <div class="delivery-sec">
            <div class="wrap">
                <div class="title">Выберите способ оплаты:</div>
                {% for method in payment_methods %}
                <div class="radio-styled">
                    <input type="radio" class="radio" id="paymentMethod{{ forloop.counter }}" name="payment_method"
                           {% if forloop.first %}checked{% endif %} value="{{ method.pk }}"/>
                    <label for="paymentMethod{{ forloop.counter }}">{{ method.name }}</label>
                </div>
                {% endfor %}
            </div>
        </div>
        <div class="confirmation-sec">
            <div class="wrap">
                <div class="title">Подтверждение заказа:</div>
                <div class="row">
                    <div class="col-md-6">
                        <ul class = "list-unstyled">
                            <li class="clearfix">
                                <div class = "left">Способ получения</div>
                                <div class = "right">{{ shipping_method.name }}</div>
                            </li>
                            {% if shipping_date %}
                            <li class="clearfix">
                                <div class = "left">Адрес доставки</div>
                                <div class = "right">{{ shipping_address.onestring }}</div>
                            </li>
                            <li class="clearfix">
                                <div class = "left">Дата доставки:</div>
                                <div class = "right">{{ shipping_date|date:"d F Y" }}</div>
                            </li>
                            {% if contacts.notes %}
                            <li class="clearfix">
                                <div class = "left">Доп. Информация:</div>
                                <div class = "right">{{ shipping_address.notes }}</div>
                            </li>
                            {% endif %}
                            {% endif %}
                        </ul>
                    </div>
                    <div class="col-md-6">
                        <ul class = "list-unstyled">
                            <li class="clearfix">
                                <div class = "left">ФИО:</div>
                                <div class = "right">{{ contacts.name }}</div>
                            </li>
                            <li class="clearfix">
                                <div class = "left">E-mail:</div>
                                <div class = "right">{{ contacts.email }}</div>
                            </li>
                            <li class="clearfix">
                                <div class = "left">Телефон:</div>
                                <div class = "right">{{ contacts.phone_number.as_national }}</div>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
        <div class="table-section clearfix">
            <div class="title">Ваш заказ:</div>
            <div class="table">
                <div class="table-head">
                    <div class="table-row">
                        <div class="cell first">Артикул</div>
                        <div class="cell second">Наименование товара</div>
                        <div class="cell third">Цена</div>
                        <div class="cell four">Кол-во</div>
                        <div class="cell five">СУММА</div>
                    </div>
                </div>
                <div class="table-body">
                    {% for line in basket.all_lines %}
                        {% with product=line.product %}
                        {% purchase_info_for_line request line as session %}
                        <div class="table-row">
                            <div class="cell first">
                                <div class="art">{{ product.upc }}</div>
                            </div>
                            <div class="cell second">
                                <div class="item-name">
                                    <span class="mob">Арт. {{ product.upc }},</span>{{ product.get_title }}
                                </div>
                            </div>
                            <div class="cell third">
                                {% if line.is_tax_known %}
                                    {{ line.unit_price_incl_tax|floatformat:"0" }}
                                {% else %}
                                    {{ line.unit_price_excl_tax|floatformat:"0" }}
                                {% endif %}
                                <span class="rub-icon">
                                    <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 5 6" style="enable-background:new 0 0 5 6;" xml:space="preserve">
                                    <path d="M5,1.8C5,0.8,4.1,0,3.1,0v0H0.6v3H0v0.6h0.6v0.6H0V5h0.6v1h0.7V5h1.5V4.3H1.3V3.7h1.7v0C4.1,3.7,5,2.8,5,1.8z M3,3H1.3V0.6  h1.7v0l0,0c0.7,0,1.3,0.5,1.3,1.2C4.3,2.5,3.7,3,3,3z"/>
                                </svg>
                                </span>
                            </div>
                            <div class="cell four">
                                {{ line.quantity }}<span class="mob"> шт.</span>
                            </div>
                            <div class="cell five {% if line.has_range_discount or line.has_discount %}sales{% endif %}">
                                <div class="old-price">
                                    {% if line.is_tax_known %}
                                        {{ line.line_price_incl_tax|floatformat:"0" }}
                                    {% else %}
                                        {{ line.line_price_excl_tax|floatformat:"0" }}
                                    {% endif %}
                                    <span class="rub-icon">
                                        <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 5 6" style="enable-background:new 0 0 5 6;" xml:space="preserve">
                                            <path d="M5,1.8C5,0.8,4.1,0,3.1,0v0H0.6v3H0v0.6h0.6v0.6H0V5h0.6v1h0.7V5h1.5V4.3H1.3V3.7h1.7v0C4.1,3.7,5,2.8,5,1.8z M3,3H1.3V0.6  h1.7v0l0,0c0.7,0,1.3,0.5,1.3,1.2C4.3,2.5,3.7,3,3,3z"/>
                                        </svg>
                                    </span>
                                </div>
                                <div class="new-price">
                                    {% if line.is_tax_known %}
                                        {{ line.line_price_incl_tax_incl_discounts|floatformat:"0" }}
                                    {% else %}
                                        {{ line.line_price_excl_tax_incl_discounts|floatformat:"0" }}
                                    {% endif %}
                                    <span class="rub-icon">
                                        <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 5 6" style="enable-background:new 0 0 5 6;" xml:space="preserve">
                                            <path d="M5,1.8C5,0.8,4.1,0,3.1,0v0H0.6v3H0v0.6h0.6v0.6H0V5h0.6v1h0.7V5h1.5V4.3H1.3V3.7h1.7v0C4.1,3.7,5,2.8,5,1.8z M3,3H1.3V0.6  h1.7v0l0,0c0.7,0,1.3,0.5,1.3,1.2C4.3,2.5,3.7,3,3,3z"/>
                                        </svg>
                                    </span>
                                </div>
                            </div>
                        </div>
                        {% with present=product.present %}
                          {% if present %}
                            <div class="table-row">
                                <div class="cell first">
                                    <div class="art">{{ present.upc }}</div>
                                </div>
                                <div class="cell second">
                                    <div class="item-name">
                                      <span class="mob">Арт. {{ present.upc }},</span>
                                      <i class="fa fa-gift"></i>
                                      {{ present.get_title }}
                                    </div>
                                </div>
                                <div class="cell third">
                                    {{ present.default_price.price.excl_tax|floatformat:"0" }}
                                    <span class="rub-icon">
                                        <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 5 6" style="enable-background:new 0 0 5 6;" xml:space="preserve">
                                        <path d="M5,1.8C5,0.8,4.1,0,3.1,0v0H0.6v3H0v0.6h0.6v0.6H0V5h0.6v1h0.7V5h1.5V4.3H1.3V3.7h1.7v0C4.1,3.7,5,2.8,5,1.8z M3,3H1.3V0.6  h1.7v0l0,0c0.7,0,1.3,0.5,1.3,1.2C4.3,2.5,3.7,3,3,3z"/>
                                    </svg>
                                    </span>
                                </div>
                                <div class="cell four">
                                    {{ line.quantity }}<span class="mob"> шт.</span>
                                </div>
                                <div class="cell five sales">
                                    <div class="old-price">
                                        {% widthratio present.default_price.price.excl_tax 1 line.quantity %}
                                        <span class="rub-icon">
                                            <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 5 6" style="enable-background:new 0 0 5 6;" xml:space="preserve">
                                                <path d="M5,1.8C5,0.8,4.1,0,3.1,0v0H0.6v3H0v0.6h0.6v0.6H0V5h0.6v1h0.7V5h1.5V4.3H1.3V3.7h1.7v0C4.1,3.7,5,2.8,5,1.8z M3,3H1.3V0.6  h1.7v0l0,0c0.7,0,1.3,0.5,1.3,1.2C4.3,2.5,3.7,3,3,3z"/>
                                            </svg>
                                        </span>
                                    </div>
                                    <div class="new-price">
                                        0
                                        <span class="rub-icon">
                                            <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 5 6" style="enable-background:new 0 0 5 6;" xml:space="preserve">
                                                <path d="M5,1.8C5,0.8,4.1,0,3.1,0v0H0.6v3H0v0.6h0.6v0.6H0V5h0.6v1h0.7V5h1.5V4.3H1.3V3.7h1.7v0C4.1,3.7,5,2.8,5,1.8z M3,3H1.3V0.6  h1.7v0l0,0c0.7,0,1.3,0.5,1.3,1.2C4.3,2.5,3.7,3,3,3z"/>
                                            </svg>
                                        </span>
                                    </div>
                                </div>
                            </div>

                          {% endif %}
                        {% endwith %}
                        {% endwith %}
                    {% endfor %}
                     <div class="clearfix">
                            <div class="delivery-count">
                                <div class="block">
                                    <div class="left">Стоимость доставки:</div>
                                    <div class="right">
                                        {% if shipping_charge_resolved %}
                                            {% if shipping_charge.is_tax_known %}
                                                {{ shipping_charge.incl_tax|floatformat:"0" }}
                                            {% else %}
                                                {{ shipping_charge.excl_tax|floatformat:"0" }}
                                            {% endif %}
                                        {% else %}
                                            -
                                        {% endif %}
                                        <span class="rub-icon">
                                            <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 5 6" style="enable-background:new 0 0 5 6;" xml:space="preserve">
                                                <path d="M5,1.8C5,0.8,4.1,0,3.1,0v0H0.6v3H0v0.6h0.6v0.6H0V5h0.6v1h0.7V5h1.5V4.3H1.3V3.7h1.7v0C4.1,3.7,5,2.8,5,1.8z M3,3H1.3V0.6  h1.7v0l0,0c0.7,0,1.3,0.5,1.3,1.2C4.3,2.5,3.7,3,3,3z"/>
                                            </svg>
                                        </span>
                                    </div>
                                </div>
                            </div>
                            <div class="almost-count">
                                <div class="block">
                                    <div class="left">Итого к оплате:</div>
                                    <div class="right">
                                        {% if order_total.is_tax_known %}
                                            {{ order_total.incl_tax|floatformat:"0" }}
                                        {% else %}
                                            {{ order_total.excl_tax|floatformat:"0" }}
                                        {% endif %}
                                        <span class="rub-icon">
                                            <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 5 6" style="enable-background:new 0 0 5 6;" xml:space="preserve">
                                                <path d="M5,1.8C5,0.8,4.1,0,3.1,0v0H0.6v3H0v0.6h0.6v0.6H0V5h0.6v1h0.7V5h1.5V4.3H1.3V3.7h1.7v0C4.1,3.7,5,2.8,5,1.8z M3,3H1.3V0.6  h1.7v0l0,0c0.7,0,1.3,0.5,1.3,1.2C4.3,2.5,3.7,3,3,3z"/>
                                            </svg>
                                        </span>
                                    </div>
                                </div>
                            </div>
                        </div>
                </div>
            </div>
            <button class = "btn btn__gold">ЗАВЕРШИТЬ ЗАКАЗ</button>
        </div>
    </form>
{% endblock %}
